NXOpen .NET Reference  12.0.0
Public Member Functions | Properties | List of all members
NXOpen.SelectEdgeList Class Reference

Represents a list of objects on a selection list. More...

Inheritance diagram for NXOpen.SelectEdgeList:
NXOpen.GeometricUtilities.IComponentBuilder

Public Member Functions

unsafe bool Add (NXOpen.Edge @object)
 Adds an object to the list More...
 
unsafe bool Add (NXOpen.Edge[] objects)
 Adds a set of objects to the list More...
 
unsafe bool Add (NXOpen.SelectionMethod inputSelectionMethod)
 Adds the objects from a SelectionMethod to the list More...
 
unsafe bool Add (NXOpen.Edge selection, NXOpen.View view, NXOpen.Point3d point)
 Adds the object with the objects view and objects point More...
 
unsafe bool Remove (NXOpen.Edge @object)
 Remove specified object from list. More...
 
unsafe bool Remove (NXOpen.Edge @object, NXOpen.View view)
 Remove specified object from list. More...
 
unsafe bool Remove (NXOpen.InferSnapType.SnapType snapType, NXOpen.Edge selection1, NXOpen.View view1, NXOpen.Point3d point1, NXOpen.Edge selection2, NXOpen.View view2, NXOpen.Point3d point2)
 Remove specified object from list. More...
 
unsafe bool RemoveArray (NXOpen.Edge[] objects)
 Remove specified objects from list. More...
 
unsafe bool Remove (NXOpen.SelectionMethod inputSelectionMethod)
 Removes the objects from a SelectionMethod from the list More...
 
unsafe void Clear ()
 Removes all items from the list. More...
 
unsafe bool Contains (NXOpen.Edge @object)
 Returns whether the specified object is already in the list or not. More...
 
unsafe void SetArray (NXOpen.Edge[] objects)
 Sets the list of objects in the selection list. More...
 
unsafe NXOpen.Edge[] GetArray ()
 Returns the list of objects in the selection list. More...
 
unsafe NXOpen.SelectObject[] GetSelectObjectArray ()
 Returns the list of SelectObjects in the selection list. More...
 
unsafe bool Add (NXOpen.InferSnapType.SnapType snapType, NXOpen.Edge selection1, NXOpen.View view1, NXOpen.Point3d point1, NXOpen.Edge selection2, NXOpen.View view2, NXOpen.Point3d point2)
 The object being selected with the objects view and objects point and snap information. More...
 
unsafe bool Add (NXOpen.Edge selection, NXOpen.CaeObjectType.CaeSubType caeSubType, int caeSubId)
 The object being selected with CAE set object information. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 

Properties

unsafe bool DuplicatesAllowed [get]
 Returns whether duplicate objects are allowed in the selection list. More...
 
unsafe int Size [get]
 Returns the number of objects in the list. More...
 

Detailed Description

Represents a list of objects on a selection list.

Created in NX5.0.0

Member Function Documentation

unsafe bool NXOpen.SelectEdgeList.Add ( NXOpen.Edge object)

Adds an object to the list

Created in NX5.0.0

License requirements: None.

Parameters
objectobject to add
Returns
True if succesully added to list; False if the object was already a member of the list and duplicates are not allowed
unsafe bool NXOpen.SelectEdgeList.Add ( NXOpen.Edge[]  objects)

Adds a set of objects to the list

Created in NX5.0.0

License requirements: None.

Parameters
objectsobjects to add
Returns
True if succesully added all objects to the list; False if there was at least one object that was already a member of the list and duplicates are not allowed
unsafe bool NXOpen.SelectEdgeList.Add ( NXOpen.SelectionMethod  inputSelectionMethod)

Adds the objects from a SelectionMethod to the list

Created in NX6.0.0

License requirements: None.

Parameters
inputSelectionMethodselection method containing objects to add
Returns
True if succesully added all objects to the list; False if there was at least one object that was already a member of the list and duplicates are not allowed
unsafe bool NXOpen.SelectEdgeList.Add ( NXOpen.Edge  selection,
NXOpen.View  view,
NXOpen.Point3d  point 
)

Adds the object with the objects view and objects point

Created in NX5.0.0

License requirements: None.

Parameters
selectionselected object
viewselected object view
pointselected object point
Returns
True if succesully added to list; False if the object was already a member of the list and duplicates are not allowed
unsafe bool NXOpen.SelectEdgeList.Add ( NXOpen.InferSnapType.SnapType  snapType,
NXOpen.Edge  selection1,
NXOpen.View  view1,
NXOpen.Point3d  point1,
NXOpen.Edge  selection2,
NXOpen.View  view2,
NXOpen.Point3d  point2 
)

The object being selected with the objects view and objects point and snap information.

Created in NX5.0.0

License requirements: None.

Parameters
snapTypesnap point type
selection1first selected object
view1first selected object view
point1first selected object point
selection2second selected object
view2second selected object view
point2second selected object point
Returns
True if succesully added all objects to the list; False if there was at least one object that was already a member of the list and duplicates are not allowed
unsafe bool NXOpen.SelectEdgeList.Add ( NXOpen.Edge  selection,
NXOpen.CaeObjectType.CaeSubType  caeSubType,
int  caeSubId 
)

The object being selected with CAE set object information.

Created in NX5.0.0

Deprecated in NX10.0.0. Use other versions of NXOpen.SelectObjectList.Add .

License requirements: None.

Parameters
selectionselected object
caeSubTypeCAE set object sub type
caeSubIdCAE set object sub id
Returns
True if succesully added all objects to the list; False if there was at least one object that was already a member of the list and duplicates are not allowed
unsafe void NXOpen.SelectEdgeList.Clear ( )

Removes all items from the list.

Created in NX5.0.0

License requirements: None.

unsafe bool NXOpen.SelectEdgeList.Contains ( NXOpen.Edge object)

Returns whether the specified object is already in the list or not.

Created in NX5.0.0

License requirements: None.

Parameters
objectobject to check
Returns
true if object is in the list, false otherwise
unsafe NXOpen.Edge [] NXOpen.SelectEdgeList.GetArray ( )

Returns the list of objects in the selection list.

Created in NX5.0.0

License requirements: None.

Returns
items in list
unsafe NXOpen.SelectObject [] NXOpen.SelectEdgeList.GetSelectObjectArray ( )

Returns the list of SelectObjects in the selection list.

Created in NX5.0.0

License requirements: None.

Returns
items in list
unsafe bool NXOpen.SelectEdgeList.Remove ( NXOpen.Edge object)

Remove specified object from list.

Created in NX5.0.0

License requirements: None.

Parameters
objectObject to remove
Returns
True if succesully removed from list; False if the object was not a member of the list
unsafe bool NXOpen.SelectEdgeList.Remove ( NXOpen.Edge object,
NXOpen.View  view 
)

Remove specified object from list.

Created in NX6.0.0

License requirements: None.

Parameters
objectObject to remove
viewwith this view
Returns
True if succesully removed from list; False if the object / view was not a member of the list
unsafe bool NXOpen.SelectEdgeList.Remove ( NXOpen.InferSnapType.SnapType  snapType,
NXOpen.Edge  selection1,
NXOpen.View  view1,
NXOpen.Point3d  point1,
NXOpen.Edge  selection2,
NXOpen.View  view2,
NXOpen.Point3d  point2 
)

Remove specified object from list.

Created in NX6.0.0

License requirements: None.

Parameters
snapTypesnap point type
selection1first selected object
view1first selected object view
point1first selected object point
selection2second selected object
view2second selected object view
point2second selected object point
Returns
True if succesully removed from list; False if the object was not a member of the list
unsafe bool NXOpen.SelectEdgeList.Remove ( NXOpen.SelectionMethod  inputSelectionMethod)

Removes the objects from a SelectionMethod from the list

Created in NX6.0.0

License requirements: None.

Parameters
inputSelectionMethodselection method containing objects to add
Returns
True if succesully removed all objects from the list; False if there was at least one object that was not a member of the list
unsafe bool NXOpen.SelectEdgeList.RemoveArray ( NXOpen.Edge[]  objects)

Remove specified objects from list.

Created in NX5.0.0

License requirements: None.

Parameters
objectsObjects to remove
Returns
True if succesully removed from list; False if the object was not a member of the list
unsafe void NXOpen.SelectEdgeList.SetArray ( NXOpen.Edge[]  objects)

Sets the list of objects in the selection list.

This will clear any existing items in the list.

Created in NX5.0.0

License requirements: None.

Parameters
objectsitems to put in the list
unsafe bool NXOpen.SelectEdgeList.Validate ( )

Validate whether the inputs to the component are sufficient for commit to be called.

If the component is not in a state to commit then an exception is thrown. For example, if the component requires you to set some property, this method will throw an exception if you haven't set it. This method throws a not-yet-implemented NXException for some components.

Created in NX3.0.1

License requirements: None.

Returns
Was self validation successful

Implements NXOpen.GeometricUtilities.IComponentBuilder.

Property Documentation

unsafe bool NXOpen.SelectEdgeList.DuplicatesAllowed
get

Returns whether duplicate objects are allowed in the selection list.

Created in NX5.0.0

License requirements: None.

unsafe int NXOpen.SelectEdgeList.Size
get

Returns the number of objects in the list.

Created in NX5.0.0

License requirements: None.


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.